abstract class ItemRepository {
  Future<int> insertItem(dynamic item);

  Future<void> updateItem(dynamic item);

  Future<void> deleteItem(int itemId);

  Stream<List<dynamic>> getAllItemsStream();
}
